/* eslint-disable @typescript-eslint/consistent-type-definitions */
import { Extension } from '@tiptap/react';
const Video = Extension.create({
    name: 'video',
    addCommands() {
        return {
            setVideo: (src) => ({ commands }) => commands.insertContent([
                {
                    type: 'resizable-media',
                    attrs: {
                        tag: 'video',
                        src,
                    },
                },
                { type: 'paragraph' },
            ]),
        };
    },
});
export default Video;
